#
# spec file for package gaim (Version 0.43)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile autoconf automake esound esound-devel glib glib-devel gnome-core gnome-core-devel gnome-libs gnome-libs-devel gtk gtk-devel imlib imlib-devel kdelibs kdelibs-artsd kdelibs-devel libgtop libgtop-devel libtool orbit orbit-devel xf86
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gnome-core gnome-core-devel gnome-libs gnome-libs-devel gpm gppshare grep groff gtk gtk-devel gzip imlib imlib-devel kbd kdelibs kdelibs-artsd kdelibs-devel less libgtop libgtop-devel libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         gaim
Summary:      A client compatible with AOL's Instant Messenger
Version:      0.43
Release:      98
Copyright:	GPL
Group:		Applications/Internet
Url:		http://www.marko.net/gaim/
Source:		ftp://ftp.marko.net/pub/gaim/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
%define prefix /opt/gnome
%define sysconfdir /etc%{prefix}

%description
Gaim allows you to talk to anyone using AOL's Instant Messenger service (you
can sign up at http://www.aim.aol.com).
It uses the TOC version of the AOL protocol, so your buddy list is stored on
AOL's servers and can be retrieved from anywhere.
It contains many of the same features as AOL's IM client while at the same
time incorporating many new features.
Gaim also contains a multiple connection feature which consists of protocol
plugins.  These plugins allow you to use gaim to connect to other chat
services such as Yahoo!, ICQ, and IRC.

Authors:
--------
    Eric Warmenhoven <warmenhoven@yahoo.com>
    Jim Duchek <jimduchek@ou.edu>
    Mark Spencer <markster@marko.net>
    Rob Flynn <rflynn@blueridge.net>

SuSE series: gnm

%package applet
Summary:      A client compatible with AOL's Instant Messenger (Applet)
Group:		Applications/Internet
Conflicts:  gaim

%description applet
Gaim allows you to talk to anyone using AOL's Instant Messenger service (you
can sign up at http://www.aim.aol.com).
It uses the TOC version of the AOL protocol, so your buddy list is stored on
AOL's servers and can be retrieved from anywhere.
It contains many of the same features as AOL's IM client while at the same
time incorporating many new features.
Gaim also contains a multiple connection feature which consists of protocol
plugins.  These plugins allow you to use gaim to connect to other chat
services such as Yahoo!, ICQ, and IRC.
The applet sits in your Gnome panel. It has all the same functionality as
the regular application but takes less desktop space.

Authors:
--------
    Eric Warmenhoven <warmenhoven@yahoo.com>
    Jim Duchek <jimduchek@ou.edu>
    Mark Spencer <markster@marko.net>
    Rob Flynn <rflynn@blueridge.net>

SuSE series: gnm

%prep
%setup

%build
%{?suse_update_config:%{suse_update_config}}
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix} \
            --sysconfdir=%{sysconfdir} \
			--disable-gnome \
			--enable-artsc
make
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT%{prefix}
make prefix=$RPM_BUILD_ROOT%{prefix} install-strip
make distclean
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix} \
            --sysconfdir=%{sysconfdir} \
			--enable-distrib
make

%install
make DESTDIR=$RPM_BUILD_ROOT prefix=%{prefix}\
     sysconfdir=%{sysconfdir} install-strip

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc ChangeLog plugins/PERL-HOWTO HACKING
%doc NEWS COPYING AUTHORS doc/FAQ README README.plugins
%doc doc/the_penguin.txt doc/PROTOCOL doc/CREDITS
%attr(755,root,root) %{prefix}/bin/gaim
%attr(755,root,root) %{prefix}/lib/gaim/*
%{prefix}/share/gnome/apps/Internet/gaim.desktop
%{prefix}/share/locale/*/*/*
%{prefix}/share/pixmaps/gaim.xpm

%files applet
%defattr(-,root,root)
%doc ChangeLog plugins/PERL-HOWTO HACKING
%doc NEWS COPYING AUTHORS doc/FAQ README README.plugins
%doc doc/the_penguin.txt doc/PROTOCOL doc/CREDITS
%attr(755,root,root) %{prefix}/bin/gaim_applet
%attr(755,root,root) %{prefix}/lib/gaim/*
%{prefix}/share/applets/Network/*
%{prefix}/share/gnome/apps/Internet/gaim.desktop
%{prefix}/share/locale/*/*/*
%{prefix}/share/pixmaps/gaim.xpm
%{sysconfdir}/CORBA/servers/*

%changelog -n gaim
* Fri Sep 07 2001 - grimmer@suse.de
- Update to 0.43
- now compile the standalone application with aRts support
* Wed Apr 04 2001 - grimmer@suse.de
- Update to 0.11.0pre9
- added subpackage "gaim-applet" which Conflicts with main package
- specfile fixes (taken over from original spec file)
* Tue Mar 20 2001 - hhetter@suse.de
- added esound-devel to neededforbuild
* Thu Nov 16 2000 - grimmer@suse.de
- new package (version 0.10.3)
